Create the NIS domain and server configuration for a data SVM
Creates an NIS domain and server configuration for a data SVM to manage network information services effectively. Use this endpoint when you need to configure or update the NIS settings for your storage virtual machine, ensuring seamless integration with your network environment.
HTTP method and endpoint
POST /name-services/nis
Introduced in
ONTAP 9.6
Usage notes
NIS configuration for the cluster is managed via /api/security/authentication/cluster/nis .
Important notes
-
Each SVM can have one NIS domain configuration.
-
Multiple SVMs can be configured with the same NIS domain. Specify the NIS domain and NIS servers as input.Domain name and servers fields cannot be empty.
-
Both FQDNs and IP addresses are supported for the servers field.
-
IPv6 must be enabled if IPv6 family addresses are specified in the servers field.
-
A maximum of ten NIS servers are supported.
Required properties
-
svm.uuidorsvm.name- Existing SVM in which to create the NIS configuration. -
domain- NIS domain to which the configuration belongs. -
servers- List of NIS server IP addresses.
Related ONTAP commands
-
vserver services name-service nis-domain create
Learn more
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
return_records |
boolean |
query |
False |
The default is false. If set to true, the records are returned.
|
Request Body
| Name | Type | Description |
|---|---|---|
binding_details |
array[binding_details] |
An array of objects where each object represents the NIS server and it's status for a given NIS domain. It is an advanced field. |
bound_servers |
array[string] |
|
domain |
string |
The NIS domain to which this configuration belongs. |
servers |
array[string] |
A list of hostnames or IP addresses of NIS servers used by the NIS domain configuration. |
svm |
SVM, applies only to SVM-scoped objects. |
Example request
{
"binding_details": [
{
"server": "string",
"status": {
"code": "string",
"message": "string"
}
}
],
"bound_servers": [
"string"
],
"domain": "domainA.example.com",
"servers": [
"10.10.10.10",
"example.com"
],
"svm": {
"name": "svm1",
"uuid": "02c9e252-41be-11e9-81d5-00a0986138f7"
}
}
Response
Status: 201, Created
| Name | Type | Description |
|---|---|---|
num_records |
integer |
Number of NIS domain records. |
records |
array[nis_service] |
Example response
{
"num_records": 1,
"records": [
{
"binding_details": [
{
"server": "string",
"status": {
"code": "string",
"message": "string"
}
}
],
"bound_servers": [
"string"
],
"domain": "domainA.example.com",
"servers": [
"10.10.10.10",
"example.com"
],
"svm": {
"name": "svm1",
"uuid": "02c9e252-41be-11e9-81d5-00a0986138f7"
}
}
]
}
Headers
| Name | Description | Type |
|---|---|---|
Location |
Useful for tracking the resource location |
string |
Error
Status: Default
ONTAP Error Response Codes
| Error Code | Description |
|---|---|
1966253 |
IPv6 is not enabled in the cluster |
2621488 |
Invalid SVM context |
2621706 |
The specified SVM UUID is incorrect for the specified SVM name |
3276964 |
NIS domain name or NIS server domain is too long. The maximum supported for domain name is 64 characters and the maximum supported for NIS server domain is 255 characters |
3276933 |
A maximum of 10 NIS servers can be configured per SVM |
13434916 |
The SVM is in the process of being created. Wait a few minutes, and then try the command again. |
23724109 |
DNS resolution failed for one or more specified servers |
23724111 |
Empty NIS servers cannot be specified. |
23724112 |
DNS resolution failed due to an internal error. Contact technical support if this issue persists |
23724132 |
DNS resolution failed for all the specified servers |
23724130 |
Cannot use an IPv6 name server address because there are no IPv6 LIFs |
Definitions
See Definitions
href
| Name | Type | Description |
|---|---|---|
href |
string |
_links
binding_status
| Name | Type | Description |
|---|---|---|
code |
string |
Code corresponding to the server's binding status. |
message |
string |
Detailed description of the server's binding status. |
binding_details
| Name | Type | Description |
|---|---|---|
server |
string |
Hostname/IP address of the NIS server in the domain. |
status |
svm
SVM, applies only to SVM-scoped objects.
| Name | Type | Description |
|---|---|---|
name |
string |
The name of the SVM. This field cannot be specified in a PATCH method. |
uuid |
string |
The unique identifier of the SVM. This field cannot be specified in a PATCH method. |
nis_service
| Name | Type | Description |
|---|---|---|
binding_details |
array[binding_details] |
An array of objects where each object represents the NIS server and it's status for a given NIS domain. It is an advanced field. |
bound_servers |
array[string] |
|
domain |
string |
The NIS domain to which this configuration belongs. |
servers |
array[string] |
A list of hostnames or IP addresses of NIS servers used by the NIS domain configuration. |
svm |
SVM, applies only to SVM-scoped objects. |
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
returned_error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |